Index: trunk/LMDZ.MARS/libf/phymars/dustlift.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dustlift.F	(revision 1036)
+++ trunk/LMDZ.MARS/libf/phymars/dustlift.F	(revision 1038)
@@ -3,5 +3,11 @@
      $                  dqslift)
 
+#ifndef MESOSCALE
       use tracer_mod, only: alpha_lift, radius
+#else
+      use tracer_mod, only: alpha_lift, radius, 
+     &                      igcm_dust_mass, igcm_dust_number,
+     &                      ref_r0,r3n_q
+#endif
       IMPLICIT NONE
 
Index: trunk/LMDZ.MARS/libf/phymars/initracer.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/initracer.F	(revision 1036)
+++ trunk/LMDZ.MARS/libf/phymars/initracer.F	(revision 1038)
@@ -1,5 +1,7 @@
       SUBROUTINE initracer(ngrid,nq,qsurf,co2ice)
 
+#ifndef MESOSCALE
        use infotrac, only: tnom
+#endif
        use tracer_mod
        IMPLICIT NONE
@@ -61,5 +63,4 @@
 
 ! Initialization: allocate arrays in tracer_mod
-      allocate(noms(nq))
       allocate(mmol(nq))
       allocate(radius(nq))
@@ -70,4 +71,6 @@
       allocate(igcm_dustbin(nq))
 
+#ifndef MESOSCALE
+      allocate(noms(nq))
 ! Initialization: get tracer names from the dynamics and check if we are
 !                 using 'old' tracer convention ('q01',q02',...)
@@ -94,4 +97,5 @@
         noms(iq)=tnom(iq)
       enddo
+#endif
 
 c------------------------------------------------------------
Index: trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_ini.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_ini.F	(revision 1036)
+++ trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_ini.F	(revision 1038)
@@ -39,6 +39,8 @@
 
             !!!!!!!!!!!!!!!!! DONE in soil_setting.F
-      tnom(:)=wtnom(:)   !! est rempli dans advtrac.h
-      PRINT*,'check: tracernames ', tnom
+      PRINT*,'MESOSCALE. how many tracers: ',nq
+      allocate(noms(nq)) !! est fait dans initracer normalement
+      noms(:)=wtnom(:)   !! est rempli dans tracer_mod.F90
+      PRINT*,'check: tracernames ', noms
      !!!new physics
      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -48,5 +50,5 @@
       PRINT*,'check: q2 ',q2(1,1),q2(ngridmx,nlayermx+1)
       qsurf(:,:)=wqsurf(:,:)
-      PRINT*,'check: qsurf ',qsurf(1,1),qsurf(ngridmx,nqmx)
+      PRINT*,'check: qsurf ',qsurf(1,1),qsurf(ngridmx,nq)
       co2ice(:)=wco2ice(:)
       PRINT*,'check: co2 ',co2ice(1),co2ice(ngridmx)
@@ -62,7 +64,4 @@
       iphysiq=ptimestep
 c
-      !DO iq=1, nq 
-      !  PRINT*, tnom(iq), pq(:,:,iq)
-      !ENDDO
 
 c
Index: trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_inifisinvar.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_inifisinvar.F	(revision 1036)
+++ trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_inifisinvar.F	(revision 1038)
@@ -1,3 +1,3 @@
-     $           ,nq,wdt
+     $           ,wdt
      $           ,womeg,wmugaz
      $           ,wyear_day,wperiheli,waphelie,wperi_day,wobliquit 
Index: trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_inifisvar.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_inifisvar.F	(revision 1036)
+++ trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_inifisvar.F	(revision 1038)
@@ -1,3 +1,2 @@
-      INTEGER nq
       REAL wdt
 
Index: trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_var.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_var.F	(revision 1036)
+++ trunk/LMDZ.MARS/libf/phymars/meso_inc/meso_inc_var.F	(revision 1038)
@@ -6,5 +6,5 @@
       REAL wco2ice(ngridmx)
       REAL wemis(ngridmx)
-      REAL wqsurf(ngridmx,nqmx)
+      REAL wqsurf(ngridmx,nq)
       REAL wq2(ngridmx,nlayermx+1)
       REAL wwstar(ngridmx)
@@ -19,5 +19,5 @@
       integer iloop
       INTEGER tracerset    !!! this corresponds to config%mars
-      CHARACTER (len=20) :: wtnom(nqmx) ! tracer name
+      CHARACTER (len=20) :: wtnom(nq) ! tracer name
 
       !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! JF 
Index: trunk/LMDZ.MARS/libf/phymars/physiq.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 1036)
+++ trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 1038)
@@ -18,7 +18,4 @@
      &                      nuice_ref, rho_ice, rho_dust, ref_r0
 
-#ifdef MESOSCALE
-      use infotrac !!! this is necessary for tracers 
-#endif
       IMPLICIT NONE
 c=======================================================================
@@ -372,5 +369,5 @@
       REAL, ALLOCATABLE, DIMENSION(:,:) :: T_out
       REAL, ALLOCATABLE, DIMENSION(:,:) :: u_out ! Interpolated teta and u at z_out
-!      REAL u_out1(ngridmx)
+      REAL u_out1(ngridmx)
       REAL T_out1(ngridmx)
       REAL, ALLOCATABLE, DIMENSION(:) :: z_out     ! height of interpolation between z0 and z1 [meters]
@@ -1036,4 +1033,5 @@
          ENDIF ! of IF (tracer)
 
+#ifndef MESOSCALE
         ! update surface pressure
         DO ig=1,ngrid
@@ -1058,4 +1056,5 @@
           ENDDO
         ENDDO
+#endif
       
       ENDIF  ! of IF (callcond)
